Subject: Re: Hosting from Windows XP.

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 26 Jan 2009 08:31:24 -0800

Tim Visher <[email-masked]> wrote:
> I'm trying to get git set up for my company.  We're stuck using
> Windows for the foreseeable future so for now I have to host the
> central integration repository out of a Windows box.  I figured the
> easiest way to do this, short of installing cygwin, would be to do a
> simple msysgit install and then run git daemon with the relevant repo
> copied over onto the server.  Then devs could track that repo.
> However, it appears that msysgit does not install git daemon.

git-daemon isn't ported yet, due to its heavy reliance on POSIX
behavior during fork+exec.
 
> I may totally be missing something here, but I don't know what.  Short
> of the question is, how do I host a repo out of Windows?

I think your options are limited to:

- Use Cygwin
- Use a virtual machine running Linux with git inside it
- Use JGit and its daemon

-- 
Shawn.